Runtime

## org.eclipse.gmf.runtime.common.ui.util
Class PartListenerAdapter

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.util.PartListenerAdapter

All Implemented Interfaces:
  IPartListener

public class PartListenerAdapter
extends java.lang.Object
implements IPartListener

A default implementation of the `IPartListener` interface.

Constructor Summary
`PartListenerAdapter()`

Method Summary
`void` `partActivated(IWorkbenchPart part)`
`void` `partBroughtToTop(IWorkbenchPart part)`
`void` `partClosed(IWorkbenchPart part)`
`void` `partDeactivated(IWorkbenchPart part)`
`void` `partOpened(IWorkbenchPart part)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartListenerAdapter

    public PartListenerAdapter()

Method Detail

### partActivated

    public void partActivated(IWorkbenchPart part)

  Specified by:
    `partActivated` in interface `IPartListener`
  See Also:
    `IPartListener.partActivated(org.eclipse.ui.IWorkbenchPart)`

### partBroughtToTop

    public void partBroughtToTop(IWorkbenchPart part)

  Specified by:
    `partBroughtToTop` in interface `IPartListener`
  See Also:
    `IPartListener.partBroughtToTop(org.eclipse.ui.IWorkbenchPart)`

### partClosed

    public void partClosed(IWorkbenchPart part)

  Specified by:
    `partClosed` in interface `IPartListener`
  See Also:
    `IPartListener.partClosed(org.eclipse.ui.IWorkbenchPart)`

### partDeactivated

    public void partDeactivated(IWorkbenchPart part)

  Specified by:
    `partDeactivated` in interface `IPartListener`
  See Also:
    `IPartListener.partDeactivated(org.eclipse.ui.IWorkbenchPart)`

### partOpened

    public void partOpened(IWorkbenchPart part)

  Specified by:
    `partOpened` in interface `IPartListener`
  See Also:
    `IPartListener.partOpened(org.eclipse.ui.IWorkbenchPart)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.